--- title: "getCloudHadoopNotebookBucketList" slug: "analytics-vhadoop-getcloudhadoopnotebookbucketlist" tags: ["Cloud Hadoop", "VPC"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopnotebookbucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopNotebookBucketList Available in VPC Get the list of Object Storage buckets available for use in a Cloud Hadoop notebook. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopNotebookBucketList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopNotebookBucketList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopBucketListResponse` | Object | - | Response result - See [CloudHadoopNotebookBucketList](/docs/en/common-vapidatatype-cloudhadoopnotebookbucketlist). | | `getCloudHadoopBucketListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopBucketListResponse.returnCode` | String | - | Response code | | `getCloudHadoopBucketListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopNotebookBucketListResponse": { "totalRows": 2, "cloudHadoopNotebookBucketList": [ { "bucketName": "bk1" }, { "bucketName": "bk4hadoop" } ], "requestId": "1e153e2e-****-****-****-76eeecc4c5af", "returnCode": "0", "returnMessage": "success" } } ```